%% Initialisieren

clear all,close all,clc
%% Bild laden
Bild = 1; % 1 ist ICE und 2 ist Eiffelturm
switch Bild
    case 1
        img = imread("1.jpg");
    case 2
        img = imread("2.JPG");
end
%% Bild ansehen
figure
subplot 121
imshow(img)

%% Netzwerk laden
net = googlenet;
categorynames = net.Layers(end).ClassNames;
%% RGB 2 gray
img_gray = rgb2gray(img);
%% Größe auf Netzwerkgröße anpassen
img_resgray = imresize(img_gray,[224 224]);
auds = augmentedImageDatastore([224 224],img_resgray,"ColorPreprocessing","gray2rgb");
%% Klassifikation via CNN
[pred,scores]=classify(net, auds);

%% Highscores auswählen
Schwellwert = 0.01;
highscores = scores > Schwellwert;

%% Ergebnis darstellen
subplot 122
bar(scores(highscores))
xticklabels(categorynames(highscores))
ylabel('Wahrscheinlichkeiten in %')

 print(gcf, '-djpeg', 'DeepLearningBeispiel');